dpkg-query(1)

NAMN
dpkg-query - ett verktyg för att fråga dpkg-databasen

SYNOPS
dpkg-query -l|--list paketnamnsmönster ...
dpkg-query -W|--show paketnamnsmönster ...
dpkg-query -s|--status paketnamn ...
dpkg-query -L|--listfiles paketnamn ...
dpkg-query -S|--search filnamnssökmönster ...
dpkg-query -p|--print-avail paketnamn ...
dpkg-query --licence|--license
dpkg-query --version

BESKRIVNING
dpkg-query är ett verktyg för att visa information om paket i dpkg-databasen.

KOMMANDON

-l | --list paketnamnsmönster ...
    Lista paket som matchar det givna mönstret. Om inget paketnamnsmönster anges listas alla paket i /var/lib/dpkg/status. Skalets normala jokertecken tillåts i paketnamnsmönster. Observera att du sannolikt måste skriva paketnamnsmönster inom citationstecken för att förhindra att skalet expanderar filnamnet. Till exempel kommer följande lista alla paket vars namn börjar på "libc6":
      dpkg-query -l 'libc6*'
    Utdataformatet för detta alternativ kan inte justeras, men varieras automatiskt för att passa terminalbredden. Det är avsett för mänskliga läsare, och är inte enkelt maskinläsbart. Se -W (--show) och --showformat för hur du konfigurerar utdataformatet.

-W | --show paketnamnsmönster ...
    Precis som flaggan --list kommer detta att visa alla paket som matchar det givna mönstret. Utdatat kan dock skräddarsys med flaggan --showformat. Standardutdataformatet är en rad per paket som träffas, där varje rad innehåller namn och installerad version av paketet, avdelat med ett tabulatortecken.

-s | --status paketnamn ...
    Rapportera status om det angivna paketet. Detta alternativ visar helt enkelt posten i statusdatabasen för installerade paket.

-L | --listfiles paketnamn ...
    Listar filer som installerats på ditt system från paketnamn. Observera dock att filer som skapats av paketspecifika installationsskript inte listas.

-S | --search filnamnssökmönster ...
    Sök efter filnamnet bland de installerade paketen. Alla skalets vanliga jokertecken kan användas i mönstret. Kommandot kommer inte att visa extrafiler som skapas av paketskript, ej heller kommer det att visa alternativ.

-p |--print-avail paketnamn
    Visar detaljer om paketnamn från /var/lib/dpkg/available.

--licence | --license
    Visar licensvillkor och upphovsrättsinformation.

--version
    Visar versionsinformation.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

-f | --showformat=format
    Denna flagga används för att ange formatet på det utdata --show skapar. Formatet är en sträng som kommer att matas ut för varje paket som listas. I formatsträgnen inleds följande styrsekvenser med “\”:
        \n  radmatning
        \r  vagnreteur
        \t  tabulator
    “\” före ett annat tecken undertrycken en speciell betydelse för det efterföljande tecknet, vilket är kan användas för “\” och “$”. Paketinformation kan läggas in genom att sätta in variabelreferenser till paketfält, på syntaxen “${field[;width]}”. Fält skrivs högerjusterade såvida inte bredden är negativ i vilket fall vänsterjustering kommer att användas. Följande fält stöds:
        Architecture
        Bugs
        Conffiles
        Config-Version
        Conflicts
        Depends
        Description
        Enhances
        Essential
        Filename
        Installed-Size
        MD5sum
        MSDOS-Filename
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision
        Section
        Size
        Source
        Status
        Suggests
        Version
    The default format string is “${Package}\t${Version}\n”. Actually, all other fields found in the status file (i.e. user defined fields) can be requested, too. They will be printed as-is, though, no conversion nor error checking is done on them. To get the name of the dpkg maintainer and the installed version, you could run:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

MILJÖVARIABLER

COLUMNS
    Denna inställningar påverkar utdata från kommandot --list genom att ändra bredden på dess utdata.

FÖRFATTARE
Upphovsrättsskyddat 2001 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN garanti.

SE ÄVEN
dpkg(1).